# DiscoInfo class

Annotations
  - @immutable

## Constructors

DiscoInfo (List <String> features, List <Identity> identities, List <DataForm> extendedInfo, String? node, JID? jid)
  const
DiscoInfo.fromQuery (XMLNode query, JID jid)
  factory

## Properties

extendedInfo → List <DataForm>
  final
features → List <String>
  final
hashCode → int
  The hash code for this object.
  no setterinherited
identities → List <Identity>
  final
jid → JID?
  final
node → String?
  final
runtimeType → Type
  A representation of the runtime type of the object.
  no setterinherited

## Methods

noSuchMethod (Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString () → String
  A string representation of this object.
  inherited
toXml () → XMLNode

## Operators

operator == (Object other) → bool
  The equality operator.
  inherited